#if !defined  HAVE_FACTORIAL_H__
#define       HAVE_FACTORIAL_H__

#include "fxttypes.h"

inline ulong factorial(ulong n)
// Return n!
{
    ulong x = 1;
    while ( n>1 )  { x *= n;  --n; }
    return x;
}
// -------------------------


#endif  // !defined HAVE_FACTORIAL_H__
